/*-----------------------------------------------------------------------------
[名称]	CharPaletteDefine.h
[概要]	文字パレット管理クラスのヘッダ
[備考]	なし
[履歴]	2003-02-03	NC		コメント付加(moralog)
-----------------------------------------------------------------------------*/
#if !defined(AFX_CHARPALETTEDEFINE_HINCLUDED_)
#define AFX_CHARPALETTEDEFINE_HINCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//-----------------------------------------------------------------------------
// インクルード
//-----------------------------------------------------------------------------
#include	"CharPalette.h"
#include	<afxtempl.h>


/*-----------------------------------------------------------------------------
[名称]	文字パレット管理クラス
[用途]	文字パレットのタブを管理する。
[備考]	各タブはCCharPalette クラスで保持される。
-----------------------------------------------------------------------------*/
class CCharPaletteDefine  
{
public:
	// 生成・破棄
	CCharPaletteDefine();
	CCharPaletteDefine( CCharPaletteDefine& Src ){ Copy( Src ); };
	virtual ~CCharPaletteDefine();

	// 入出力
	BOOL Write();
	BOOL Read();

	// 複製
	CCharPaletteDefine& Copy( CCharPaletteDefine& SrcPalettez );
	CCharPaletteDefine& operator = ( CCharPaletteDefine& Src ){ Copy( Src ); return( *this ); };

// アトリビュート
	// 属性の設定・取得
	CArray<CCharPalette, CCharPalette&>* GetItemz(){ return( &m_aPalettz ); };
	void	AddTab( CCharPalette& Src );
	void	InsertTab( long idxTab, CCharPalette& Src );

// インプリメント
protected:
	CArray<CCharPalette, CCharPalette&>	m_aPalettz;	// タブ群 [-] (-)
};

#endif // !defined(AFX_CHARPALETTEDEFINE_HINCLUDED_)
